import org.apache.commons.httpclient.URI;
import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.methods.GetMethod;
import org.apache.commons.httpclient.HostConfiguration;

public class BasicAuthenticationExecuteJSPMethod {

	public static void main(String args[]) throws Exception {

		HttpClient client = new HttpClient();
		client.getParams().setParameter("parameterKey", "value");

		HostConfiguration host = client.getHostConfiguration();
		host.setHost(new URI("http://localhost:8080", true));

		GetMethod method = new GetMethod("/commons/folder/protected.jsp");
		try{
			client.executeMethod(host, method);
			System.err.println(method.getStatusLine());
			System.err.println(method.getResponseBodyAsString());
		} catch(Exception e) {
			System.err.println(e);
		} finally {
			method.releaseConnection();
		}
	}
}